<template>
  <main id="main" style="margin-top: -20px; padding-bottom: 50px;">
    <div class="container">
      <div class="form">
        <div class="row">
          <div class="col">
            <div class="section-header">
              <h2>Unit Configuration List</h2>
            </div>
          </div>
        </div>
        <div v-if="checkAccess" class="container">
          <ListView :items="unitConfigurationList" :showNew="false" />
        </div>
        <div v-else>
          <alert
            :text="'You don\'t have permission to view this page'"
            :type="'ERROR'"
          />
        </div>
      </div>
    </div>
  </main>
</template>

<script>
/* eslint-disable */
import { mapState, mapActions } from 'vuex'

import Log from '../../../assets/Log'
import alert from '../../shared/alert'
import ListView from '../../shared/listView.vue'

export default {
  name: 'UnitConfiguration',
  components: {
    ListView,
    alert,
  },
  created() {
    this.getUnitConfigurationList()
  },
  computed: {
    ...mapState('unitConfiguration', ['unitConfigurationList']),
    checkAccess() {
      if (Log.getUser().role === 'Super Admin') {
        return true
      } else {
        return false
      }
    },
  },
  methods: {
    ...mapActions('unitConfiguration', ['getUnitConfigurationList']),
  },
}
</script>
<style></style>
